MCP Tools Reference: dataform.googleapis.com

Tool: cancel_workflow_invocation

Request the graceful termination of a running Dataform workflow invocation.

This tool sends a cancellation signal to the running workflow. However, any individual BigQuery jobs, table creations, or assertions that have already completed as part of this workflow will not be rolled back.

The name parameter value must be in the format projects/{project_id}/locations/{location}/repositories/{repository}/workflowInvocations/{workflow_invocation}.

The following sample demonstrate how to use curl to invoke the cancel_workflow_invocation MCP tool.

Curl Request
                  
curl --location 'https://dataform.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "cancel_workflow_invocation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

CancelWorkflowInvocation request message.

CancelWorkflowInvocationRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The workflow invocation resource's name.

Output Schema

CancelWorkflowInvocation response message.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌